curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lvz8ah06191smkebj4&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/"}, {"url": "https://www.reddit.com/r/python/comments/1bsdf34/"}]}'[
{
"post_id": "1asdf12",
"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/",
"user_posted": "example_user",
"title": "How do I start learning Python?",
"description": "I'm a complete beginner...",
"num_upvotes": 1240,
"num_comments": 86,
"date_posted": "2026-03-14T18:22:00Z",
"tag": "Tutorial",
"community_name": "learnpython",
"community_url": "https://www.reddit.com/r/learnpython",
"community_description": "Subreddit for posting questions and asking for general advice about your Python code.",
"community_members_num": 1120000,
"community_rank": null,
"related_posts": [],
"comments": [],
"photos": [],
"videos": []
}
]
Reddit
Collect Reddit posts by URL
Use the Bright Data Web Scraper API to collect Reddit posts by URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lvz8ah06191smkebj4&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/"}, {"url": "https://www.reddit.com/r/python/comments/1bsdf34/"}]}'[
{
"post_id": "1asdf12",
"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/",
"user_posted": "example_user",
"title": "How do I start learning Python?",
"description": "I'm a complete beginner...",
"num_upvotes": 1240,
"num_comments": 86,
"date_posted": "2026-03-14T18:22:00Z",
"tag": "Tutorial",
"community_name": "learnpython",
"community_url": "https://www.reddit.com/r/learnpython",
"community_description": "Subreddit for posting questions and asking for general advice about your Python code.",
"community_members_num": 1120000,
"community_rank": null,
"related_posts": [],
"comments": [],
"photos": [],
"videos": []
}
]
Query Parameters
string
default:"gd_lvz8ah06191smkebj4"
required
The dataset ID used for this request.
Must be set to
gd_lvz8ah06191smkebj4 to collect Posts by URL data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"post_id": "1asdf12",
"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/",
"user_posted": "example_user",
"title": "How do I start learning Python?",
"description": "I'm a complete beginner...",
"num_upvotes": 1240,
"num_comments": 86,
"date_posted": "2026-03-14T18:22:00Z",
"tag": "Tutorial",
"community_name": "learnpython",
"community_url": "https://www.reddit.com/r/learnpython",
"community_description": "Subreddit for posting questions and asking for general advice about your Python code.",
"community_members_num": 1120000,
"community_rank": null,
"related_posts": [],
"comments": [],
"photos": [],
"videos": []
}
]
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Must be gd_lvz8ah06191smkebj4 for this dataset.
Send notifications when the request is completed.
Include errors in the response.
Body
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
Response
200 - application/json
OK. See response example below the parameters.
Was this page helpful?